/**
 * $Id: MayReturnNull.java,v 1.2 2008/04/27 16:56:59 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 24.04.2008 by oliver (ob@oasd.de)
 */
package patterntesting.java.runtime.annotation;

/**
 * Use this annotation to mark methods which can return null values.
 * <br/>
 * The {@link patterntesting.java.runtime.AbstractNullPointerTrap} will
 * watch this postcondition.
 * 
 * @see patterntesting.java.runtime.AbstractNullPointerTrap
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 24.04.2008
 * @version $Revision: 1.2 $
 */
public @interface MayReturnNull {

}

/**
 * $Log: MayReturnNull.java,v $
 * Revision 1.2  2008/04/27 16:56:59  oboehm
 * lot of JavaDocs added
 *
 * Revision 1.1  2008/04/25 06:49:49  oboehm
 * @NullArgsAllowed and @MayReturnNull added to be able to mark methods
 *
 * $Source: /cvsroot/patterntesting/PatternTesting05/src/main/java/patterntesting/java/runtime/annotation/MayReturnNull.java,v $
 */
