/* 
 *========================================================================
 * 
 * Copyright 2001-2004 Vincent Massol & Matt Smith.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 *========================================================================
 */
package patterntesting.plugin.aspectj;

import org.apache.tools.ant.Project;
import org.apache.tools.ant.Target;

/**
 * Allow to use the {@link AjcXmlTask} Ant task from a java application.
 *
 * @author <a href="mailto:vmassol@apache.org">Vincent Massol</a>
 *
 * @version $Id: AjcXml.java,v 1.2 2007/05/24 20:38:22 oboehm Exp $
 */
public class AjcXml extends AjcXmlTask
{
    /**
     * Create default Ant objects to be able to run the task outside of the
     * Ant engine.
     */
    public AjcXml()
    {
        super();
        project = new Project();
        project.init();
        taskType = "ajcxml";
        taskName = "ajcxml";
        target = new Target();
    }
}
